.home-header {
  position: relative;
  display: flex;

  flex-direction: column;

  /* margin-top: calc(-1 * var(--topbar-height)); */

  width: 100%;
  height: 630px;

  background: rgba(0, 0, 0, 0.1);
}

.home-header-banners {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
  height: 100%;
}

.home-header-banner {
  position: relative;
  display: flex;

  flex-direction: row;

  width: 100%;
  height: 100%;

  color: white;
}
.home-header-banner-image {
  position: relative;
  display: flex;
  overflow: hidden;

  width: 100%;
  height: 100%;
}
.home-header-banner-image img {
  position: relative;
  display: flex;

  width: 100%;
  height: 100%;

  object-fit: cover;
  object-position: center center;
}
.home-header-banner-image::before {
  content: "";
  position: absolute;
  z-index: 1;

  top: 0;
  left: 0;

  width: 100%;
  height: 100%;

  background-color: rgba(0, 0, 0, 0.25);
}

.home-header-banner-content {
  position: absolute;
  display: flex;
  z-index: 1;

  align-items: center;
  justify-content: center;

  flex-direction: column;

  top: 0;
  right: 0;
  left: 0;
  bottom: 0;

  width: 100%;
  height: 100%;

  padding-top: calc(var(--topbar-height) + var(--headofsite-height));
}

.home-header-banner-inner {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: column;

  width: 100%;
  max-width: var(--sizing-containers-max-width);

  padding: 0 var(--sizing-HPadding);
}

.home-header-banner-content-highlight {
  position: relative;

  margin-bottom: 20px;

  font-size: 12px;
  font-weight: 400;

  text-align: center;
}
.home-header-banner-content-bigtext {
  position: relative;

  margin-bottom: 40px;

  font-size: 80px;
  font-weight: 900;

  text-align: center;
}

.home-header-banner-content-link {
  position: relative;
  display: flex;
  gap: 5px;
  flex-shrink: 0;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  padding: 10px 20px;

  font-size: 12px;
  font-weight: 800;

  transition: 0.16s all ease-out;

  background: rgba(255, 255, 255, 0.15);
}

.home-header-banner-content-link span {
  padding-top: 3px;
}

.home-header-banner-content-link:hover {
  gap: 10px;

  background: rgba(255, 255, 255, 0.25);
}




/* Home Section. */
.home-section {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  width: 100%;

  padding: 80px 0;
}
.home-section:has(+ .home-section) {
  padding-bottom: 0;
}

.home-section[data-section-type="IMAGES_AD_ROW"] {
  padding-top: 0;
  padding-bottom: 0;
}

.home-section-header {
  position: relative;
  display: flex;
  gap: 20px;
  flex-shrink: 0;

  margin: 0 auto;

  width: 100%;
  max-width: var(--sizing-containers-max-width);

  padding: 0 var(--sizing-HPadding);
}

.home-section-header-title {
  position: relative;
  flex: 6;
  flex-shrink: 0;

  font-size: 20px;
  font-weight: 800;

  color: black;
}
.home-section-header-subtext {
  position: relative;
  flex: 6;
  flex-shrink: 0;

  font-size: 12px;
  font-weight: 400;

  color: rgba(190, 190, 190, 1);
}

.home-section--inner-hr {
  position: relative;
  display: flex;

  margin: 0 auto;

  width: 100%;
  max-width: var(--sizing-containers-max-width);

  padding: 0 var(--sizing-HPadding);
  padding-top: 80px;
}
.home-section--inner-hr::after {
  content: "";
  position: relative;

  width: 100%;
  height: 1px;

  background: rgba(0, 0, 0, 0.1);
}

.home-section-body {
  position: relative;
  display: flex;
  gap: 10px;
  flex-shrink: 0;

  flex-direction: column;

  margin: 0 auto;
  margin-top: 60px;

  width: 100%;
  max-width: var(--sizing-containers-max-width);

  padding: 0 var(--sizing-HPadding);
}

.home-images_ads_row {
  position: relative;
  display: flex;
  gap: 20px;

  flex-direction: row;

  align-items: flex-start;
  justify-content: space-between;

  width: 100%;
}

.home-images_ads_row-item {
  position: relative;
  display: flex;
  flex: 1;

  /* height: 100%; */
}

.home-images_ads_row-item img {
  position: relative;
  display: flex;

  width: 100%;
  height: 100%;

  object-fit: contain;
  object-position: center center;
}


/* Home Celebrities. */
.home-celebs {
  --celebs-per-row: 5;
  --celebs-gap: 5px;

  position: relative;
  display: flex;
  gap: var(--celebs-gap);
  overflow: hidden;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
}
.home-celeb {
  position: relative;
  display: flex;
  gap: 20px;
  flex-shrink: 0;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  /* --home-celeb-width: calc(((100% - (var(--celebs-gap) * (var(--celebs-per-row) - 1))) / var(--celebs-per-row)));
  width: var(--home-celeb-width);
  min-width: var(--home-celeb-width);
  max-width: var(--home-celeb-width); */
}
.home-celeb-image {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: column;

  width: 100%;
  height: 350px;

  border-radius: 4px;
  overflow: hidden;
}
.home-celeb-image img {
  position: relative;
  display: flex;

  width: 100%;
  height: 100%;

  object-fit: cover;
  object-position: center center;
}

.home-celeb-info {
  position: relative;
  display: flex;

  flex-direction: column;

  width: 100%;

  font-size: 14px;
  font-weight: 500;

  color: rgba(0, 0, 0, 0.6);
}

.home-celeb-info-title {
  position: relative;

  width: 100%;

  font-size: 14px;
  font-weight: 700;

  color: black;
}

.home-celeb-info-subtext {
  position: relative;

  width: 100%;

  padding-top: 5px;

  font-size: 12px;

  color: rgba(0, 0, 0, 0.25);
}




/* Featured Products. */
.featured-products {
  --featuredproducts-per-row: 4;
  --featuredproducts-gap: 20px;
  --featuredproducts-image-aspectratio: 1.56;

  position: relative;
  display: flex;
  gap: var(--featuredproducts-gap);
  overflow: hidden;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
}
.featured-product {
  position: relative;
  display: flex;
  gap: 10px;
  flex-shrink: 0;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  /* --featuredproduct-width: calc(((100% - (var(--featuredproducts-gap) * (var(--featuredproducts-per-row) - 1))) / var(--featuredproducts-per-row)));
  width: var(--featuredproduct-width);
  min-width: var(--featuredproduct-width);
  max-width: var(--featuredproduct-width); */
}
.featured-product-image {
  --featured-product-image-hovererslots-count: 4;
  --featured-product-image-hovererslots-spacing: 5px;
  --featured-product-image-hovererslots-slot-height: 4px;
  --featured-product-image-hovererslots-offset-y: 2px;

  position: relative;
  display: flex;
  overflow: hidden;

  align-items: center;
  justify-content: center;

  flex-direction: column;

  width: 100%;
  /* height: 450px; */

  padding-bottom: calc(var(--featured-product-image-hovererslots-offset-y) + var(--featured-product-image-hovererslots-slot-height));
}
.featured-product-image-imgcontainer {
  position: relative;
  display: flex;
  overflow: hidden;

  width: 100%;
  /* height: 100%; */

  padding-top: calc(100% * var(--featuredproducts-image-aspectratio));
}
.featured-product-image img {
  position: absolute;
  display: flex;

  top: 0;
  right: 0;
  left: 0;
  bottom: 0;

  width: 100%;
  height: 100%;

  object-fit: cover;
  object-position: center center;

  transition: 0.5s all cubic-bezier(0, 0.7, 0.4, 1);
}
.featured-product-image:hover img {
  transform: scale(1.03);
}

.featured-product-image-hovererslots {
  position: absolute;
  display: flex;
  z-index: 1;

  top: 0;
  right: 0;
  left: 0;
  bottom: 0;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
}
.featured-product-image-hovererslots-inner {
  position: relative;
  display: flex;
  gap: var(--featured-product-image-hovererslots-spacing);

  align-items: flex-end;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
  height: 100%;
}
.featured-product-image-hovererslot {
  position: relative;
  display: flex;

  align-items: flex-end;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
  height: 100%;

}
.featured-product-image-hovererslot::after {
  content: "";
  position: relative;
  display: flex;

  width: 100%;
  height: var(--featured-product-image-hovererslots-slot-height);

  background: rgba(0, 0, 0, 0.15);

  transition: 0.05s all ease-out;
}
.featured-product-image-hovererslot.selected::after {
  background: rgba(0, 0, 0, 0.4);
}

.featured-product-image-overlay {
  pointer-events: none;
  position: absolute;
  display: flex;
  z-index: 1;

  align-items: flex-end;
  justify-content: flex-start;

  flex-direction: column;

  top: 0;
  right: 0;

  width: 100%;
  height: 100%;
}

.featured-product-image-overlay-actions {
  position: relative;
  display: flex;
  gap: 5px;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  padding: 15px 15px;
}

.featured-product-image-overlay-action {
  pointer-events: auto;
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  width: 35px;
  height: 35px;

  border-radius: 100px;

  font-size: 14px;

  left: 50px;
  opacity: 0;

  color: rgba(0, 0, 0, 0.6);

  background: white;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.025);
  transition: 0.26s all ease-out;
}
.featured-product:hover .featured-product-image-overlay-action {
  left: 0;
  opacity: 1;
}
.featured-product-image-overlay-action:hover {
  color: rgba(255, 255, 255, 1);
  background: rgba(var(--color-brand-elegant1), 1);
}
.featured-product-image-overlay-action i {
  padding-bottom: 2px;
}

.featured-product:not(.is_added_to_cart) .featured-product--non-cart-show,
.featured-product.is_added_to_cart .featured-product--in-cart-show {
  display: flex;
}
.featured-product:not(.is_added_to_cart) .featured-product--in-cart-show,
.featured-product.is_added_to_cart .featured-product--non-cart-show {
  display: none;
}

.featured-product-info {
  position: relative;
  display: flex;
  gap: 10px;

  flex-direction: column;

  width: 100%;

  font-size: 14px;
  font-weight: 500;

  color: rgba(0, 0, 0, 0.6);
}

.featured-product-info-title {
  position: relative;

  width: 100%;

  font-size: 14px;
  font-weight: 600;

  color: black;
}

.featured-product-info-rating {
  position: relative;
  display: flex;
  gap: 2px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-size: 12px;
  color: black;
}
.featured-product-info-rating-icon {
  position: relative;

  margin-right: 5px;

  padding-bottom: 4px;

  font-size: 12px;
  color: #f9c300;
}
.featured-product-info-rating-text {
  font-size: 9px;
  color: rgba(145, 145, 145, 1);
}

.featured-product-info-pricing {
  position: relative;
  display: flex;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  font-size: 14px;
  font-weight: 500;

  color: rgba(0, 0, 0, 1);
}
.featured-product-info-pricing-old-price {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-size: 12px;

  text-decoration: line-through;

  color: rgba(145, 145, 145, 1);
}
.featured-product-info-pricing-price {
  position: relative;
  display: flex;
  gap: 5px;

  align-items: center;
  justify-content: flex-start;

  flex-direction: row;

  font-weight: 700;

  color: rgba(0, 0, 0, 1);
}
.featured-product-info-pricing-price-discounttag {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: row;

  margin-bottom: 1px;

  padding: 3px 10px;
  padding-top: calc(3px + 2px);

  border-radius: 100px;

  font-size: 9px;

  color: rgba(240 ,30 ,80, 1);
  background: rgba(240 ,30 ,80, 0.1);
}





/* Home Categories. */
.home-categories {
  --home-categories-per-row: 6;
  --home-categories-gap: 10px;

  position: relative;
  display: flex;
  gap: var(--home-categories-gap);
  overflow: hidden;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: row;

  width: 100%;
}
.home-categories-item {
  position: relative;
  display: flex;
  gap: 10px;
  flex-shrink: 0;

  align-items: flex-start;
  justify-content: flex-start;

  flex-direction: column;

  /* --home-categories-item-width: calc(((100% - (var(--home-categories-gap) * (var(--home-categories-per-row) - 1))) / var(--home-categories-per-row)));
  width: var(--home-categories-item-width);
  min-width: var(--home-categories-item-width);
  max-width: var(--home-categories-item-width); */
}
.home-categories-item-image {
  position: relative;
  display: flex;

  align-items: center;
  justify-content: center;

  flex-direction: column;

  width: 100%;

  /* border-radius: 4px; */
  overflow: hidden;
}
.home-categories-item-image-squarer {
  position: relative;
  display: flex;
  overflow: hidden;

  align-items: center;
  justify-content: center;

  flex-direction: column;

  width: 100%;

  padding-top: 100%; // Makes square.
}
.home-categories-item-image-inner {
  position: absolute;
  display: flex;
  overflow: hidden;

  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  align-items: center;
  justify-content: center;

  flex-direction: column;

  width: 100%;
  height: 100%;
}
.home-categories-item-image img {
  position: relative;
  display: flex;

  width: 100%;
  height: 100%;

  object-fit: cover;
  object-position: center center;

  transition: 2s all cubic-bezier(0, 0.7, 0.4, 1);
}
.home-categories-item:hover .home-categories-item-image img {
  transform: scale(1.15);
}

.home-categories-item-info {
  position: relative;
  display: flex;
  gap: 10px;

  flex-direction: column;

  width: 100%;

  font-size: 14px;
  font-weight: 500;

  color: rgba(0, 0, 0, 0.6);
}

.home-categories-item-info-title {
  position: relative;

  width: 100%;

  font-size: 14px;
  font-weight: 700;

  text-align: center;

  color: black;
}
